Package org.eclipse.emf.spi.cdo

# Interface CDOSessionProtocol.RefreshSessionResult.Provider

Enclosing class:
  `CDOSessionProtocol.RefreshSessionResult`

public static interface CDOSessionProtocol.RefreshSessionResult.Provider
Provides a hook for customizing the creation of `RefreshSessionResults`.

Since:
  4.4
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`CDOSessionProtocol.RefreshSessionResult`
`getRefreshSessionResult(Map<CDOBranch,List<InternalCDOView>> views, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions)`

## Method Details

### getRefreshSessionResult

CDOSessionProtocol.RefreshSessionResult getRefreshSessionResult(Map<CDOBranch,List<InternalCDOView>> views, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions)